Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 libheimdal-kadm5-perl (0.08-4) unstable; urgency=low
 .
   * Call the public kadm5_* API functions instead of the internal _c
     versions, fixing a backward compatibility issue with the current
     version of Heimdal in Debian.  (Closes: #686299)
Author: Russ Allbery <rra@debian.org>
Bug-Debian: http://bugs.debian.org/686299

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- libheimdal-kadm5-perl-0.08.orig/Kadm5.xs
+++ libheimdal-kadm5-perl-0.08/Kadm5.xs
@@ -218,10 +218,10 @@ DESTROY(handle)
      {
        if (handle->modcount > 0)
 	 {
-	   kadm5_c_flush(handle->ptr);
+	   kadm5_flush(handle->ptr);
 	 }
        if (handle->ptr)
-          kadm5_c_destroy(handle->ptr);
+          kadm5_destroy(handle->ptr);
        if (handle->context)
           krb5_free_context(handle->context);
        safefree(handle);
@@ -237,7 +237,7 @@ kadm5_c_init_with_password (handle, clie
      unsigned long api_version
      CODE:
      {
-       kadm5_ret_t ret = kadm5_c_init_with_password_ctx(handle->context,
+       kadm5_ret_t ret = kadm5_init_with_password_ctx(handle->context,
 							client_name,
 							password,
 							KADM5_ADMIN_SERVICE, 
@@ -246,7 +246,7 @@ kadm5_c_init_with_password (handle, clie
 							api_version,
 							&handle->ptr);
        if(ret)
-	    croak("[Heimdal::Kadm5] kadm5_c_init_with_password_ctx failed: %s\n",
+	    croak("[Heimdal::Kadm5] kadm5_init_with_password_ctx failed: %s\n",
 		  krb5_get_err_text(handle->context, ret));
 
        if (password != NULL && *password != '\0')
@@ -263,7 +263,7 @@ kadm5_c_init_with_skey (handle, client_n
      unsigned long api_version
      CODE:
      {
-       kadm5_ret_t ret = kadm5_c_init_with_skey_ctx(handle->context,
+       kadm5_ret_t ret = kadm5_init_with_skey_ctx(handle->context,
 						    client_name,
 						    keytab,
 						    KADM5_ADMIN_SERVICE, 
@@ -272,7 +272,7 @@ kadm5_c_init_with_skey (handle, client_n
 						    api_version,
 						    &handle->ptr);
        if(ret)
-	    croak("[Heimdal::Kadm5] kadm5_c_init_with_skey_ctx failed: %s\n",
+	    croak("[Heimdal::Kadm5] kadm5_init_with_skey_ctx failed: %s\n",
 		  krb5_get_err_text(handle->context, ret));
      }
 
@@ -281,9 +281,9 @@ kadm5_c_flush(handle)
      shandle_t *handle
      CODE:
      {
-       kadm5_ret_t ret = kadm5_c_flush(handle->ptr);
+       kadm5_ret_t ret = kadm5_flush(handle->ptr);
        if (ret)
-	 croak("[Heimdal::Kadm5] kadm5_c_flush failed: %s\n",krb5_get_err_text(handle->context, ret));
+	 croak("[Heimdal::Kadm5] kadm5_flush failed: %s\n",krb5_get_err_text(handle->context, ret));
        handle->modcount = 0;
      }
 
@@ -298,11 +298,11 @@ kadm5_c_modify_principal(handle,spp,mask
 
        if (mask == 0)
 	 mask = spp->mask;
-       ret = kadm5_c_modify_principal(handle->ptr, &spp->principal, mask);
+       ret = kadm5_modify_principal(handle->ptr, &spp->principal, mask);
        if (ret)
 	 {
 	   if (ret)
-	     croak("[Heimdal::Kadm5] kadm5_c_modify_principal failed: %s\n",
+	     croak("[Heimdal::Kadm5] kadm5_modify_principal failed: %s\n",
 		   krb5_get_err_text(handle->context, ret));
 	 }
        handle->modcount++;
@@ -329,7 +329,7 @@ kadm5_c_randkey_principal(handle,name)
        if(ret)
 	 {
 	   krb5_free_principal(handle->context, principal);
-	   croak("[Heimdal::Kadm5] kadm5_c_randkey_principal failed: %s\n",
+	   croak("[Heimdal::Kadm5] kadm5_randkey_principal failed: %s\n",
 		 krb5_get_err_text(handle->context, ret));
 	 }
        for(i = 0; i < n_keys; i++)
@@ -358,9 +358,9 @@ kadm5_c_chpass_principal(handle,name,pas
 	 croak("[Heimdal::Kadm5] krb5_parse_name failed on \"%s\": %s\n",
 	       name,krb5_get_err_text(handle->context, ret2));
        
-       ret = kadm5_c_chpass_principal(handle->ptr,principal,password);
+       ret = kadm5_chpass_principal(handle->ptr,principal,password);
        if (ret)
-	 croak("[Heimdal::Kadm5] kadm5_c_chpass_principal failed on \"%s\": %s\n",
+	 croak("[Heimdal::Kadm5] kadm5_chpass_principal failed on \"%s\": %s\n",
 	       name,krb5_get_err_text(handle->context, ret));
        handle->modcount++;
      }
@@ -378,7 +378,7 @@ kadm5_c_create_principal(handle,spp,pass
        if (mask == 0)
 	 mask = spp->mask;
        
-       ret = kadm5_c_create_principal(handle->ptr,&spp->principal,mask,password);
+       ret = kadm5_create_principal(handle->ptr,&spp->principal,mask,password);
        if (ret)
 	 {
 	   char *p;
@@ -391,7 +391,7 @@ kadm5_c_create_principal(handle,spp,pass
 	       croak("[Heimdal::Kadm5] krb5_unparse_name failed: %s\n",
 		     krb5_get_err_text(spp->handle->context, ret2));
 	     }
-	   croak("[Heimdal::Kadm5] krb5_c_create_principal failed on \"%s\": %s\n",
+	   croak("[Heimdal::Kadm5] krb5_create_principal failed on \"%s\": %s\n",
 		 p,krb5_get_err_text(handle->context, ret));
 	 }
        handle->modcount++;
@@ -423,7 +423,7 @@ kadm5_c_rename_principal(handle, src, tr
 		 trg,krb5_get_err_text(handle->context, ret));
 	 }
        
-       err = kadm5_c_rename_principal(handle->ptr, source, target);
+       err = kadm5_rename_principal(handle->ptr, source, target);
        if (err)
 	 {
 	   krb5_free_principal(handle->context, source);
@@ -451,11 +451,11 @@ kadm5_c_delete_principal(handle,name)
 	 croak("[Heimdal::Kadm5] krb5_parse_name failed on \"%s\": %s\n",
 	       name,krb5_get_err_text(handle->context, ret));
        
-       err = kadm5_c_delete_principal(handle->ptr,principal);
+       err = kadm5_delete_principal(handle->ptr,principal);
        if (err)
 	 {
 	   krb5_free_principal(handle->context, principal);
-	   croak("[Heimdal::Kadm5] kadm5_c_delete_principal failed for \"%s\": %s\n",
+	   croak("[Heimdal::Kadm5] kadm5_delete_principal failed for \"%s\": %s\n",
 		 name,krb5_get_err_text(handle->context, err));
 	 }
        handle->modcount++;
@@ -480,7 +480,7 @@ kadm5_c_get_principal(handle, name, mask
 	       name,krb5_get_err_text(handle->context, ret));
        
        spp = create_sprincipal(handle);
-       ret = kadm5_c_get_principal(handle->ptr,
+       ret = kadm5_get_principal(handle->ptr,
 				   principal,
 				   &spp->principal,
 				   mask);
@@ -492,7 +492,7 @@ kadm5_c_get_principal(handle, name, mask
            } else {
 	      krb5_free_principal(handle->context, principal);
               destroy_sprincipal(spp); 
-	      croak("[Heimdal::Kadm5] kadm5_c_get_principal failed for \"%s\": %s\n",
+	      croak("[Heimdal::Kadm5] kadm5_get_principal failed for \"%s\": %s\n",
 		    name,krb5_get_err_text(handle->context, ret));
            }
 	 }
@@ -512,10 +512,10 @@ kadm5_c_get_principals(handle,exp)
        int num_princs,i;
        kadm5_ret_t ret;
 
-       ret = kadm5_c_get_principals(handle->ptr,exp,&princs,&num_princs);
+       ret = kadm5_get_principals(handle->ptr,exp,&princs,&num_princs);
        if (ret)
 	 {
-	   croak("[Heimdal::Kadm5] kadm5_c_get_principals failed for \"%s\": %s\n",
+	   croak("[Heimdal::Kadm5] kadm5_get_principals failed for \"%s\": %s\n",
 		 exp,krb5_get_err_text(handle->context, ret));
 	 }
        EXTEND(SP,num_princs);
@@ -532,10 +532,10 @@ kadm5_c_get_privs(handle)
      CODE:
      {
        int privs;
-       kadm5_ret_t ret = kadm5_c_get_privs(handle->ptr,&privs);
+       kadm5_ret_t ret = kadm5_get_privs(handle->ptr,&privs);
        if (ret)
 	 {
-	   croak("[Heimdal::Kadm5] kadm5_c_get_privs failed: %s\n",
+	   croak("[Heimdal::Kadm5] kadm5_get_privs failed: %s\n",
 		 krb5_get_err_text(handle->context, ret));
 	 }
        RETVAL = privs;
